%define module_name SVG-Timeline-Genealogy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Genealogy/Ahnentafel.pm) perl(List/Util.pm) perl(Moose.pm) perl(SVG.pm) perl(SVG/Timeline.pm) perl(Test/More.pm) perl(Time/Piece.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.3
Release: alt1
Summary: Create genealogical timelines in SVG
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAVECROSS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use SVG::Timeline::Genealogy

    my $tl = SVG::Timeline::Genealogy->new;

    $tl->add_person({
      ahnen => 1,
      start => 1975,
      text  => 'You',
    });

    $tl->add_person({
      anhen => 2,
      start => 1950,
      end   => 1980,
      text  => 'Your Father',
    });

    $tl->add_person({
      anhen => 3,
      start => 1950,
      text  => 'Your Mother',
    });

    print $tl->draw;

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes.md README.md examples
%perl_vendor_privlib/S*

%files scripts
%_bindir/*

%changelog
* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1
- regenerated from template by package builder

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1
- initial import by package builder

